NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
jsFetchRequest Struct Reference
Types

`#include <nats.h>`

## Public Attributes
int64_t | Expires
| Expiration of the request, expressed in nanoseconds.
int | Batch
| Maximum number of messages to be received (see MaxBytes)
int64_t | MaxBytes
| Maximum bytes for the request (request complete based on whichever Batch or MaxBytes comes first)
bool | NoWait
| Will not wait if the request cannot be completed.
int64_t | Heartbeat
| Have server sends heartbeats to help detect communication failures.

## Detailed Description

Options for the natsSubscription_FetchRequest() call, which is similar to natsSubscription_Fetch() but gives more control in the configuration of the fetch.

## Member Data Documentation

## ◆ Expires

int64_t jsFetchRequest::Expires

## ◆ Batch

int jsFetchRequest::Batch

## ◆ MaxBytes

int64_t jsFetchRequest::MaxBytes

## ◆ NoWait

bool jsFetchRequest::NoWait

## ◆ Heartbeat

int64_t jsFetchRequest::Heartbeat

The documentation for this struct was generated from the following file:

- nats.h